<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Response Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="classResponse-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Response Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="response_8h_source.html">response.h</a>&gt;</code></p>
<div class="dynheader">
Collaboration diagram for Response:</div>
<div class="dyncontent">
<div class="center"><img src="classResponse__coll__graph.png" border="0" usemap="#Response_coll__map" alt="Collaboration graph"/></div>
<map name="Response_coll__map" id="Response_coll__map">
<area shape="rect" title=" " alt="" coords="5,5,184,171"/>
</map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a8201fb49ce101abdb4646c32a5b3c15e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classResponse.html#a8201fb49ce101abdb4646c32a5b3c15e">Response</a> (int socket)</td></tr>
<tr class="separator:a8201fb49ce101abdb4646c32a5b3c15e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a111938269e5dc94f7ce14aa563aef075"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classResponse.html#a111938269e5dc94f7ce14aa563aef075">sendStatus</a> (int status, const std::string &amp;body=&quot;&quot;)</td></tr>
<tr class="separator:a111938269e5dc94f7ce14aa563aef075"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5377d135031c0e0ff6c54074215a4679"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classResponse.html#a5377d135031c0e0ff6c54074215a4679">send</a> (const std::string &amp;body=&quot;&quot;)</td></tr>
<tr class="separator:a5377d135031c0e0ff6c54074215a4679"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac8bbe6f91a98ed4325c0f6b4ce01a6b0"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classResponse.html#ac8bbe6f91a98ed4325c0f6b4ce01a6b0">statusCodeMessage</a> (int status) const</td></tr>
<tr class="separator:ac8bbe6f91a98ed4325c0f6b4ce01a6b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a784eb971f9ab13a401b976d75739808d"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classResponse.html#a784eb971f9ab13a401b976d75739808d">m_socket</a></td></tr>
<tr class="separator:a784eb971f9ab13a401b976d75739808d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8ec3e610fa370ef365d5286794dbe897"><td class="memItemLeft" align="right" valign="top">std::unordered_map&lt; std::string, std::string &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classResponse.html#a8ec3e610fa370ef365d5286794dbe897">m_headers</a></td></tr>
<tr class="separator:a8ec3e610fa370ef365d5286794dbe897"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9ed0181ff56ebd15afbdd5862c4b2817"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classResponse.html#a9ed0181ff56ebd15afbdd5862c4b2817">m_body</a></td></tr>
<tr class="separator:a9ed0181ff56ebd15afbdd5862c4b2817"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c8028f7a50979d4ff71d50059816a1b"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classResponse.html#a0c8028f7a50979d4ff71d50059816a1b">m_status</a></td></tr>
<tr class="separator:a0c8028f7a50979d4ff71d50059816a1b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a8201fb49ce101abdb4646c32a5b3c15e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8201fb49ce101abdb4646c32a5b3c15e">&#9670;&nbsp;</a></span>Response()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Response::Response </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>socket</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a5377d135031c0e0ff6c54074215a4679"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5377d135031c0e0ff6c54074215a4679">&#9670;&nbsp;</a></span>send()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string Response::send </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>body</em> = <code>&quot;&quot;</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a111938269e5dc94f7ce14aa563aef075"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a111938269e5dc94f7ce14aa563aef075">&#9670;&nbsp;</a></span>sendStatus()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string Response::sendStatus </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>status</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>body</em> = <code>&quot;&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac8bbe6f91a98ed4325c0f6b4ce01a6b0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac8bbe6f91a98ed4325c0f6b4ce01a6b0">&#9670;&nbsp;</a></span>statusCodeMessage()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string Response::statusCodeMessage </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>status</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a9ed0181ff56ebd15afbdd5862c4b2817"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9ed0181ff56ebd15afbdd5862c4b2817">&#9670;&nbsp;</a></span>m_body</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string Response::m_body</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a8ec3e610fa370ef365d5286794dbe897"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8ec3e610fa370ef365d5286794dbe897">&#9670;&nbsp;</a></span>m_headers</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::unordered_map&lt;std::string, std::string&gt; Response::m_headers</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a784eb971f9ab13a401b976d75739808d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a784eb971f9ab13a401b976d75739808d">&#9670;&nbsp;</a></span>m_socket</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int Response::m_socket</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a0c8028f7a50979d4ff71d50059816a1b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0c8028f7a50979d4ff71d50059816a1b">&#9670;&nbsp;</a></span>m_status</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int Response::m_status</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>backend/src/lib/server/<a class="el" href="response_8h_source.html">response.h</a></li>
<li>backend/src/lib/server/<a class="el" href="response_8cpp.html">response.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
